# Scheduling

Operations related to scheduling. Scheduling operations provide information about service provider availability.

## Create block.

 - [POST /blocks](https://docs.aryeo.com/api/aryeo/scheduling/blocks-post.md): Create block.

## Delete block.

 - [DELETE /blocks/{block_id}](https://docs.aryeo.com/api/aryeo/scheduling/blocks-block-id-delete.md): Delete block.

## Get block.

 - [GET /blocks/{block_id}](https://docs.aryeo.com/api/aryeo/scheduling/blocks-block-id-get.md): Get block.

## Update block.

 - [PUT /blocks/{block_id}](https://docs.aryeo.com/api/aryeo/scheduling/blocks-block-id-put.md): Update block.

## List regions.

 - [GET /regions](https://docs.aryeo.com/api/aryeo/scheduling/regions-get.md): List regions.

## Get scheduling assignment.

 - [GET /scheduling/assignment](https://docs.aryeo.com/api/aryeo/scheduling/scheduling-assignment-get.md): Get scheduling assignment.

## List available dates.

 - [GET /scheduling/available-dates](https://docs.aryeo.com/api/aryeo/scheduling/get-available-dates.md): List available dates. Availability can be listed using a specific start & end date range, or using a timeframe. When using a timeframe, the page parameter can be used to flip through weeks, months, etc.

## List available timeslots.

 - [GET /scheduling/available-timeslots](https://docs.aryeo.com/api/aryeo/scheduling/get-available-timeslots.md): List available timeslots. Timeslots are returned for the entire day in the local timezone. 

Results are returned in UTC!

## List schedule item groupings.

 - [GET /scheduling/item-groupings](https://docs.aryeo.com/api/aryeo/scheduling/scheduling-item-groupings-get.md): List schedule item groupings.

